Licenses
C Reference

## Functions

XN_C_API XnStatus XN_C_DECL | xnAddLicense (XnContext *pContext, const XnLicense *pLicense)
XN_C_API XnStatus XN_C_DECL | xnEnumerateLicenses (XnContext *pContext, XnLicense **paLicenses, XnUInt32 *pnCount)
XN_C_API void XN_C_DECL | xnFreeLicensesList (XnLicense *aLicenses)

## Detailed Description

This page details functions for license management.

## Function Documentation

## xnAddLicense()

XN_C_API XnStatus XN_C_DECL xnAddLicense | ( | XnContext * | pContext,
|  | const XnLicense * | pLicense )

Adds a license to the context.

Parameters

  pContext | [in] OpenNI context.
  pLicense | [in] A license key.

## xnEnumerateLicenses()

XN_C_API XnStatus XN_C_DECL xnEnumerateLicenses | ( | XnContext * | pContext,
|  | XnLicense ** | paLicenses,
|  | XnUInt32 * | pnCount )

Enumerates all licenses currently registered. The list of licenses should later be freed by calling xnFreeLicensesList().

Parameters

  pContext | [in] OpenNI context.
  paLicenses | [out] An array of license pointers.
  pnCount | [out] The number of licenses in the array.

## xnFreeLicensesList()

XN_C_API void XN_C_DECL xnFreeLicensesList | ( | XnLicense * | aLicenses | ) |

Frees a list of licenses.

Parameters

  aLicenses | [in] The list to free.